Bug 985811 - java-1.7.0-openjdk-1.7.0.25-2.3.10.7 is FTBFS on ARM on all releases
java-1.7.0-openjdk-1.7.0.25-2.3.10.7 is FTBFS on ARM on all releases
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk (Show other bugs)
rawhide
arm Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: jiri vanek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2013-07-18 05:54 EDT by Peter Robinson
Modified: 2013-08-07 11:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 11:30:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2013-07-18 05:54:20 EDT
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1989493

bin/mkdir -p /builddir/build/BUILD/java-1.7.0-openjdk/openjdk/build/linux-arm/classes/javax/management/remote/rmi
rm -f /builddir/build/BUILD/java-1.7.0-openjdk/openjdk/build/linux-arm/classes/javax/management/remote/rmi/RMIConnectionImpl_Stub.class
/builddir/build/BUILD/java-1.7.0-openjdk/openjdk/build/linux-arm/bin/java -XX:-PrintVMOptions -XX:+UnlockDiagnosticVMOptions -XX:-LogVMOutput -client -Xmx512m -Xms512m -XX:PermSize=32m -XX:MaxPermSize=160m -cp /builddir/build/BUILD/java-1.7.0-openjdk/openjdk/build/linux-arm/classes sun.rmi.rmic.Main -classpath "/builddir/build/BUILD/java-1.7.0-openjdk/openjdk/build/linux-arm/classes"    \
                -d /builddir/build/BUILD/java-1.7.0-openjdk/openjdk/build/linux-arm/classes              \
                -v1.2                           \
                -keepgenerated                  \
                javax.management.remote.rmi.RMIConnectionImpl
/bin/mkdir -p /builddir/build/BUILD/java-1.7.0-openjdk/openjdk/generated.build/javax/management/remote/rmi
/bin/cp       /builddir/build/BUILD/java-1.7.0-openjdk/openjdk/build/linux-arm/classes/javax/management/remote/rmi/RMIConnectionImpl_Stub.java                                     \
                    /builddir/build/BUILD/java-1.7.0-openjdk/openjdk/generated.build/javax/management/remote/rmi
/builddir/build/BUILD/java-1.7.0-openjdk/openjdk/build/linux-arm/bin/java -XX:-PrintVMOptions -XX:+UnlockDiagnosticVMOptions -XX:-LogVMOutput -client -Xmx512m -Xms512m -XX:PermSize=32m -XX:MaxPermSize=160m -cp /builddir/build/BUILD/java-1.7.0-openjdk/openjdk/build/linux-arm/classes sun.rmi.rmic.Main -classpath "/builddir/build/BUILD/java-1.7.0-openjdk/openjdk/build/linux-arm/classes"    \
                -d /builddir/build/BUILD/java-1.7.0-openjdk/openjdk/build/linux-arm/classes              \
                -iiop -v1.2                     \
                javax.management.remote.rmi.RMIConnectionImpl
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  Internal Error (os_linux_zero.cpp:285), pid=13151, tid=2308121696
#  fatal error: caught unhandled signal 11
#
# JRE version: 7.0_03
# Java VM: OpenJDK Zero VM (22.0-b10 mixed mode linux-arm )
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# /tmp/jvm-13151/hs_error.log
#
# If you would like to submit a bug report, please include
# instructions on how to reproduce the bug and visit:
#   http://icedtea.classpath.org/bugzilla
#
make[5]: *** [/builddir/build/BUILD/java-1.7.0-openjdk/openjdk/build/linux-arm/classes/javax/management/remote/rmi/RMIConnectionImpl_Stub.class] Aborted
make[5]: *** Deleting file `/builddir/build/BUILD/java-1.7.0-openjdk/openjdk/build/linux-arm/classes/javax/management/remote/rmi/RMIConnectionImpl_Stub.class'
make[5]: Leaving directory `/builddir/build/BUILD/java-1.7.0-openjdk/openjdk/jdk/make/com/sun/jmx'
make[4]: Leaving directory `/builddir/build/BUILD/java-1.7.0-openjdk/openjdk/jdk/make/com/sun'
make[4]: *** [all] Error 1

http://arm.koji.fedoraproject.org/koji/packageinfo?packageID=12078

jvanek had submitted builds for F18/19/20 and they had all failed so presumably this is known and is being addressed
Comment 1 jiri vanek 2013-07-18 07:19:45 EDT
This is known issue. However it is not possible to solve this by simple patch.

This will be fixed by updating arm part of jdk  from 2.1 to 2.3 (or 2.4). Luckily this raised in time when  this update i possible. 

Just note - this still need some time. 

afaik Chris is already very close to allow the update.
Comment 2 Peter Robinson 2013-07-18 07:29:42 EDT
(In reply to jiri vanek from comment #1)
> This is known issue. However it is not possible to solve this by simple
> patch.

It would be nice if this was communicated rather than left until we find it. It happens just about every time there's a java update and having to chase becomes tiring. With ARM being approved to move to the primary architecture build systems moving forward this will affect every build of java
Comment 3 Chris Phillips @ TO 2013-07-18 09:40:17 EDT
Hi Peter 
Sorry for problems [due to backports from 2.3 of security fixes], 
but what we are doing is making the versions the same rather
than having to backport security patches etc to 2.1 for arm, 
it will now get the same hotspot as other arch's. [2.3 now soon 2.4]
We intend for this to be the case from now on though atm there are still
issues in 2.4 arm asm32 jit integration. 

Chris

PS Jiri I'm unsure what further info is needed, 2.3 is now at least as good 
as the former 2.1 wrt arm 32 asm and is better as it has the current set of security fixes.

PPS I'd still like to reproduce/fix the 2.1 failure but I am not familiar enough 
to locate the source bundle. Can someone point me to both a source bundle and
a machine that it fails on... (I am able to build 2.1 and run it on arm but 
its from the repo. This may either be different from whats being built in 
the source rpm or the failure may again be machine specific)
Comment 4 Peter Robinson 2013-07-23 06:49:06 EDT
Chris: any update on the 2.3 build?

Note You need to log in before you can comment on or make changes to this bug.